// priority: 0

ServerEvents.recipes((event) => {
	removeRecipeByOutput(event, [
		AF("charged_redstone"),
		AF("insulating_resin"),
		AF("harden_insulating_resin"),
	])
	
	
	
	//inscriber press from scrap
	removeRecipeByOutput(event, [
		AF("energy_processor_press"),
	])
	event.stonecutting(AF("energy_processor_press"), KJ("circuit_scrap"))
	
	
	
	//harden insulating resin replace
	event.replaceInput({}, AF("harden_insulating_resin"), F("#ingots/zinc"))
	
	
	
	//redstone crystal
	event.recipes.createMixing([AF('redstone_crystal')], [F('#storage_blocks/redstone'), F('#dusts/fluix'), AE2("sky_dust"), Fluid.of(MC("water"), 250)])
})